- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DualVariableValues Class Reference

The DualVariableValues Class. More...

`#include <OSResult.h>`

Collaboration diagram for DualVariableValues:

[legend]
List of all members.

## Public Member Functions
| DualVariableValues ()
| Default constructor.
| ~DualVariableValues ()
| Class destructor.
bool | IsEqual (DualVariableValues *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| DualVariableValues ()
| Default constructor.
| ~DualVariableValues ()
| Class destructor.
## Public Attributes
int | numberOfCon
| record the number of constraints for which values are given
DualVarValue ** | con
| con is a vector of DualVarValue objects that give an index and dual variable value for each constraint function.
std::vector< DualVarValue * > | con
| con is a vector of DualVarValue objects that give an index and dual variable value for each constraint function.

## Detailed Description

The DualVariableValues Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class for reporting dual variable values

Definition at line 1579 of file OSResult.h.

## Constructor & Destructor Documentation

DualVariableValues::DualVariableValues | ( |  | ) |

Default constructor.

Definition at line 727 of file OSResult.cpp.

DualVariableValues::~DualVariableValues | ( |  | ) |

Class destructor.

Definition at line 738 of file OSResult.cpp.

References con, and numberOfCon.

DualVariableValues::DualVariableValues | ( |  | ) |

Default constructor.

DualVariableValues::~DualVariableValues | ( |  | ) |

Class destructor.

## Member Function Documentation

bool DualVariableValues::IsEqual | ( | DualVariableValues * | that | ) |

A function to check for the equality of two objects.

Definition at line 6809 of file OSResult.cpp.

bool DualVariableValues::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8132 of file OSResult.cpp.

References con, and DualVarValue::setRandom().

## Member Data Documentation

int DualVariableValues::numberOfCon

record the number of constraints for which values are given

Definition at line 1584 of file OSResult.h.

Referenced by OSResult::setConstraintValues(), OSResult::setDualVariableValues(), OSrL2Gams::writeSolution(), and ~DualVariableValues().

DualVarValue** DualVariableValues::con

con is a vector of DualVarValue objects that give an index and dual variable value for each constraint function.

Definition at line 1590 of file OSResult.h.

Referenced by OSResult::setConstraintValues(), OSResult::setDualVariableValues(), setRandom(), OSrL2Gams::writeSolution(), and ~DualVariableValues().

std::vector<DualVarValue*> DualVariableValues::con

con is a vector of DualVarValue objects that give an index and dual variable value for each constraint function.

Definition at line 973 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp